Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Class PresenceRouter

    java.lang.Object
      org.jivesoftware.openfire.container.BasicModule
          org.jivesoftware.openfire.PresenceRouter

All Implemented Interfaces:
  Module

    public class PresenceRouter

extends BasicModule

Route presence packets throughout the server.

Routing is based on the recipient and sender addresses. The typical packet will often be routed twice, once from the sender to some internal server component for handling or processing, and then back to the router to be delivered to it's final destination.

Author:
  Iain Shigeoka

Constructor Summary
`PresenceRouter()` Constructs a presence router.

Method Summary
`void` | `initialize(XMPPServer server)` Initializes the basic module.
`void` | `route(org.xmpp.packet.Presence packet)` Routes presence packets.
`void` | `routingFailed(org.xmpp.packet.JID receipient, org.xmpp.packet.Packet packet)` Notification message indicating that a packet has failed to be routed to the receipient.

Methods inherited from class org.jivesoftware.openfire.container.BasicModule
`destroy, getName, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PresenceRouter

    public PresenceRouter()

  Constructs a presence router.

Method Detail

### route

    public void route(org.xmpp.packet.Presence packet)

  Routes presence packets.

  Parameters:
    `packet` - the packet to route.
  Throws:
    `NullPointerException` - if the packet is null.

### initialize

    public void initialize(XMPPServer server)

  Description copied from class: `BasicModule`

  Initializes the basic module.

  Inheriting classes that choose to override this method MUST call this initialize() method before accessing BasicModule resources.

  Specified by:
    `initialize` in interface `Module`
  Overrides:
    `initialize` in class `BasicModule`
  Parameters:
    `server` - the server hosting this module.

### routingFailed

    public void routingFailed(org.xmpp.packet.JID receipient,
                              org.xmpp.packet.Packet packet)

  Notification message indicating that a packet has failed to be routed to the receipient.

  Parameters:
    `receipient` - address of the entity that failed to receive the packet.
    `packet` - Presence packet that failed to be sent to the receipient.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.